Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.impl

# Enum Class ServiceRequestBufferImp.SrbMetaData

java.lang.Object
java.lang.Enum<ServiceRequestBufferImp.SrbMetaData>
org.firebirdsql.gds.impl.ServiceRequestBufferImp.SrbMetaData

All Implemented Interfaces:
  `Serializable`, `Comparable<ServiceRequestBufferImp.SrbMetaData>`, `Constable`, `ParameterBufferMetaData`

Enclosing class:
  ServiceRequestBufferImp

public static enum ServiceRequestBufferImp.SrbMetaData extends Enum<ServiceRequestBufferImp.SrbMetaData> implements ParameterBufferMetaData

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SRB_VERSION_2`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final int`
  `getType()`
  Parameter buffer type (this usually is the version of the parameter buffer).
  `static ServiceRequestBufferImp.SrbMetaData`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ServiceRequestBufferImp.SrbMetaData[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.firebirdsql.gds.impl.ParameterBufferMetaData

  `addPreamble, getByteArgumentType, getByteArrayArgumentType, getIntegerArgumentType, getSingleArgumentType, getStringArgumentType`

- ## Enum Constant Details

  - ### SRB_VERSION_2

    public static final ServiceRequestBufferImp.SrbMetaData SRB_VERSION_2

- ## Method Details

  - ### values

    public static ServiceRequestBufferImp.SrbMetaData[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ServiceRequestBufferImp.SrbMetaData valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getType

    public final int getType()
    Description copied from interface: `ParameterBufferMetaData`
    Parameter buffer type (this usually is the version of the parameter buffer).
    Specified by:
      `getType` in interface `ParameterBufferMetaData`
    Returns:
      Buffer type (for example `ISCConstants.isc_spb_version3`).